Parent Directory

# SeisComP FDSNWS Event Web Service

The event Web service provides access to contributed origin and magnitude estimates in QuakeML format. Events may be filtered e.g. by hypocenter, time and magnitude parameters. The request type is HTTP-GET and HTTP-POST. Please refer to http://www.fdsn.org/webservice for a complete service description.

## Available URLs

- query
- catalogs
- contributors
- version
- application.wadl
- builder

## Feature Notes

- back-end software: SeisComP
- catalog request parameter not implemented (information not available in SeisComP)
- contributor request parameter is mapped to the agencyID
- updatedafter request parameter not implemented: The last modification time in SeisComP is tracked on the object level. If a child of an object is updated the update time is not propagated to all parents. In order to check if a station was updated all children must be evaluated recursively. This operation would be much to expensive.
- additional request parameters, effective only for xml output:
  - includecomments[,comments]: boolean, default: false
  - includepicks[,picks]: boolean, default: true, available only in combination with includearrivals=true
  - formatted: boolean, default: false
  - includefocalmechanism[,focalmechanism,fm]: boolean, default: false
  - includeallfocalmechanisms[,allfocalmechanisms,allfms]: boolean, default: false
  - includestationmts[,stationmts,stamts]: boolean, default: false
- additional values of request parameters:
  - show
    - standard: [xml, text]
    - additional: [qml (=xml), qml-rt, sc3ml, csv]
    - default: xml